ECHO OFF
CLS
COPYPROT C %1 TRANS %2
IF ERRORLEVEL 255 GOTO :OK
GOTO :NOTOK

:OK
ECHO.
GOTO :END

:NOTOK
IF ERRORLEVEL 254 GOTO :ERROR254
IF ERRORLEVEL 253 GOTO :ERROR253
IF ERRORLEVEL 249 GOTO :ERROR249
IF ERRORLEVEL 24 GOTO :ERROR24

:ERROR24
ECHO (24) Installation error on selected medium!
ECHO
GOTO :END

:ERROR249
ECHO (249) Invalid program medium drive letter!
ECHO
GOTO :END

:ERROR253
ECHO (253) Invalid parameter!
ECHO
GOTO :END

:ERROR254
ECHO (254) DOS version 2.00 or greater is required!
ECHO
GOTO :END
:END

